import 'dart:io';
import 'package:path/path.dart';

void copyTemplate(String templateName, String destination) {
  // テンプレートフォルダのパス
  String templatePath = 'templates/$templateName';

  // helloフォルダのパス
  String destinationPath = destination;

  // テンプレート内のファイルやフォルダをコピー
  Directory(templatePath).listSync(recursive: true).forEach((entity) {
    if (entity is File) {
      String relativePath = relative(entity.path, from: templatePath);
      File(destinationPath + '/' + relativePath)
        ..createSync(recursive: true)
        ..writeAsBytesSync(entity.readAsBytesSync());
    } else if (entity is Directory) {
      String relativePath = relative(entity.path, from: templatePath);
      Directory(destinationPath + '/' + relativePath).createSync();
    }
  });
}
