import 'dart:io';
import 'package:path/path.dart' as path;

void createProject() {
  final templatesDirectory = 'templates';
  final destinationDirectory = 'test';

  // テンプレートフォルダのファイルとサブディレクトリをコピー
  copyTemplate(templatesDirectory, destinationDirectory);
}

void copyTemplate(String templatePath, String destinationPath) {
  final templateDirectory = Directory(templatePath);

  if (!templateDirectory.existsSync()) {
    print('Template directory not found: $templatePath');
    exit(1);
  }

  // テンプレート内のファイルやサブディレクトリをコピー
  templateDirectory.listSync(recursive: true).forEach((entity) {
    if (entity is File) {
      final relativePath = path.relative(entity.path, from: templatePath);
      final destinationFile = File(path.join(destinationPath, relativePath));
      destinationFile.createSync(recursive: true);
      destinationFile.writeAsBytesSync(entity.readAsBytesSync());
    } else if (entity is Directory) {
      final relativePath = path.relative(entity.path, from: templatePath);
      final destinationDir =
          Directory(path.join(destinationPath, relativePath));
      destinationDir.createSync();
    }
  });
}
